Results 1 to 7 of 7
  1. #1

    help question Error Msg After "Upgrade Database" clicked

    Hi There,

    I'm upgrading from 138a to 139h. I followed all the instructions and the steps in order.

    When I got to the point where it was time to click on "Update Database", I clicked the button and got this error message:


    1253 COLLATION 'latin1_general_ci' is not valid for CHARACTER SET 'utf8'
    in:
    [CREATE TABLE zen_counter_history_clean as SELECT * FROM zen_counter_history WHERE 1 GROUP BY startdate COLLATE latin1_general_ci;]



    Suggestions on the issue and the resolution?

    TIA
    Go that extra mile, you never know what's at the end of the road

    Empowerment Sanctuary

  2. #2
    Join Date
    Aug 2005
    Posts
    26,503
    Plugin Contributions
    9

    Default Re: Error Msg After "Upgrade Database" clicked

    When I got to the point where it was time to click on "Update Database", I clicked the button and got this error message:
    You have Evidently changed the DB to be used with UTF8 character set. If that's what you want to continue using, then change the DB_CHARSET in /zc_install/includes/installer_params.php to 'utf8' before using zc_install.
    Zen-Venom Get Bitten
    Get Your Business Found

  3. #3

    Default Re: Error Msg After "Upgrade Database" clicked

    Hi Kobra,

    Thanks for the fast response :)

    I never touch my database unless specifically instructed, and only when I have specific steps to follow because I'm not familiar enough with it to avoid screwing it up

    I'm wondering if UTF8 is a default setting on my server.

    At any rate, before I go make this change to that file, is there another character set I should be using in my database that's better or more universal than UTF8?

    And if so, is there a tut somewhere that will help me learn how to change that in PHPMyAdmin?

    TIA
    Go that extra mile, you never know what's at the end of the road

    Empowerment Sanctuary

  4. #4
    Join Date
    Aug 2005
    Posts
    26,503
    Plugin Contributions
    9

    Default Re: Error Msg After "Upgrade Database" clicked

    At any rate, before I go make this change to that file, is there another character set I should be using in my database that's better or more universal than UTF8?
    Default ZenCart is latin_swedish_ci
    utf8 is also fine and it really depends upon the language you are using
    And if so, is there a tut somewhere that will help me learn how to change that in PHPMyAdmin?
    Googe phpmyadmin or mysql and collation
    Zen-Venom Get Bitten
    Get Your Business Found

  5. #5

    Default Re: Error Msg After "Upgrade Database" clicked

    ok, in PHPMyAdmin, I see this:

    MySQL connection collation

    It has a drop down box of various char sets to choose from.

    Would I want to select this option, per the error:

    latin1_general_ci'

    And if so, will this affect other databases I have, such as WordPress?
    Go that extra mile, you never know what's at the end of the road

    Empowerment Sanctuary

  6. #6

    Default Re: Error Msg After "Upgrade Database" clicked

    Ok :) Disregard my last post :)

    I'll leave it at UTF8 and change the file per your suggestion :)

    Thanks a bunch!
    Go that extra mile, you never know what's at the end of the road

    Empowerment Sanctuary

  7. #7

    Default Re: Error Msg After "Upgrade Database" clicked

    Worked like a charm

    Thanks again!
    Go that extra mile, you never know what's at the end of the road

    Empowerment Sanctuary

 

 

Similar Threads

  1. Replies: 2
    Last Post: 11 Feb 2010, 09:13 PM
  2. Show new products when "new product button is clicked"
    By smykey in forum General Questions
    Replies: 0
    Last Post: 18 Aug 2008, 01:20 PM
  3. Replies: 0
    Last Post: 15 May 2007, 01:18 AM
  4. error in upgrade: "Your database needs patching to a higher level."
    By mediaman in forum Upgrading from 1.2 to 1.3.x
    Replies: 16
    Last Post: 18 Mar 2007, 06:13 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •